Package oracle.sql

## Class ConcreteProxyUtil

- java.lang.Object
- - oracle.sql.ConcreteProxyUtil

    public class ConcreteProxyUtil
    extends Object

This class has helper methods for all concrete class needs proxification.

Since:
  release specific (what release of product did this appear in)

### Constructor Summary

Constructors
`ConcreteProxyUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Object` `checkAndGetACProxyConnection​(OracleConnection conn)` Check whether connection object from proxified or not.
`static <T> T` `getProxyObject​(OracleConnection conn, T delegate, Class proxyBaseClass, Object creator)`
`static <T> T` `getProxyObject​(T delegate, Class proxyBaseClass, Object creator)` Get the proxy object.
`static OracleConnection` `getThinDriverReplayableConnectionDelegate​(OracleConnection conn)`
`static oracle.jdbc.replay.driver.TxnReplayableBase` `getTxnReplayableBaseOfConnection​(OracleConnection conn)`
`static boolean` `isThinDriverConnection​(Object conn)` Check for connection is from Thin driver or not.
`static boolean` `isThinDriverReplayableConnection​(OracleConnection conn)`
`static OracleConnection` `unwrapConnectionProxy​(OracleConnection conn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcreteProxyUtil

    public ConcreteProxyUtil()

### Method Detail

#### isThinDriverConnection

    public static boolean isThinDriverConnection​(Object conn)

Check for connection is from Thin driver or not.

Parameters:
  `conn` -
Returns:
  true if Thin connection false otherwise.

#### getTxnReplayableBaseOfConnection

    public static oracle.jdbc.replay.driver.TxnReplayableBase getTxnReplayableBaseOfConnection​(OracleConnection conn)

#### isThinDriverReplayableConnection

    public static boolean isThinDriverReplayableConnection​(OracleConnection conn)

#### getThinDriverReplayableConnectionDelegate

    public static OracleConnection getThinDriverReplayableConnectionDelegate​(OracleConnection conn)

#### checkAndGetACProxyConnection

    public static Object checkAndGetACProxyConnection​(OracleConnection conn)

Check whether connection object from proxified or not.

Parameters:
  `conn` -
Returns:
  Proxified connection object

#### getProxyObject

    public static <T> T getProxyObject​(OracleConnection conn,
                                       T delegate,
                                       Class proxyBaseClass,
                                       Object creator)

#### getProxyObject

    public static <T> T getProxyObject​(T delegate,
                                       Class proxyBaseClass,
                                       Object creator)

Get the proxy object.

Parameters:
  `delegate` -
  `proxyBaseClass` -
  `creator` -
Returns:

#### unwrapConnectionProxy

    public static OracleConnection unwrapConnectionProxy​(OracleConnection conn)